Name:           xmppc
Version:        0.1.2
Release:    1%{?dist}
Summary:        A command-line interface (CLI) XMPP Client

License:        GPLv3
URL:            https://codeberg.org/Anoxinon_e.V./%{name}
Source0:        https://codeberg.org/Anoxinon_e.V./%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  libstrophe-devel
BuildRequires:  glib2-devel
BuildRequires:  gpgme-devel
BuildRequires:  doxygen
BuildRequires:  asciidoc

%description
xmppc is a XMPP command line interface client. It's written in C and
is using the xmpp library libstrophe.



%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains HTML documentation for developing
applications that use %{name}.



%prep
%autosetup -n %{name}


%build
autoreconf -i -W all
%configure
%make_build

pushd doc/
make  # results are in doc/doxygen/html/
popd


%install
%make_install
cp -a doc/doxygen/html/ %{buildroot}%{_pkgdocdir}/


%check
make check



%files
%license LICENSE
%doc README.md changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%files doc
%{_pkgdocdir}/html/
%{_pkgdocdir}/%{name}.1.html



%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.2-1
- initial build
